Header =  {
  'Release'      : '2021',
  'Creator'      : 'tc@cvt-engineering.de',
  }

Description = '''
Install the Filter-Tools GeoApp for GeoDict 

After installation, restart GeoDict and run the following
commands in the GeoDict Command Line

    import gdfilter
    gdfilter.setup()

Then restart GeoDict again to use the GeoApp
'''

Variables = {
  'NumberOfVariables' : 1,
  'Variable1' : {
    'Name'           : 'path2package',
    'Label'          : 'Python Install File',
    'Type'           : 'filestring',
    'Unit'           : 'whl',
    'BuiltinDefault' : 'gdfilter-0.0.7-py3-none-any',
    'ToolTip'        : 'Select package to install',
    },
  }


InstallPyPackage_args_1 = {
  'Name'   : path2package,
  'Global' : False,
  'Mode'   : 'Install',
  }
gd.runCmd("GeoDict:InstallPyPackage", InstallPyPackage_args_1, Header['Release'])
gd.msgBox(f"... done, please restart GeoDict and then run \n   import gdfilter\n   gdfilter.setup()\n to finalize installation")

